
def find_random_links(url, tags):
    from bs4 import BeautifulSoup
    import requests
    import random
    
    response = requests.get(url)
    soup = BeautifulSoup(response.text, 'html.parser')
    
    links = []
    for tag in tags:
        for link in soup.find_all(tag):
            links.append(link.get('href'))
    
    return random.sample(links, min(len(links), 5))



